<vn>
<div id="title">
	<h1><t>PendingOrders</t></h1>
</div>
<div id="actions">
	<htk-bar-button
		class="start-order"
		icon="add_shopping_cart"
		tip="_NewOrder"
		on-click="hash.setAll({form: 'ecomerce/checkout'})"/>
</div>
<div id="form" class="hedera-pending">
	<htk-repeater
		class="htk-list box confirmed vn-w-sm"
		form-id="iter">
		<db-model property="model" id="orders">
			SELECT o.id, o.sent, o.deliveryMethodFk, o.taxableBase,
					a.nickname, am.description agency
				FROM myOrder o
					JOIN myAddress a ON a.id = o.addressFk
					JOIN vn.agencyMode am ON am.id = o.agencyModeFk
				WHERE NOT o.isConfirmed
				ORDER BY o.sent DESC
		</db-model>
		<custom>
			<a class="item"
				title="{{_('ViewOrder')}}"
				href="{{'#!form=ecomerce/basket&amp;id='+iter.id}}">
				<div class="content">
					<p class="important">
						{{Vn.Value.format(iter.sent, '%D')}}
					</p>
					<p>#{{iter.id}}</p>
					<p>{{iter.nickname}}</p>
					<p>{{iter.agency}}</p>
					<p>{{Vn.Value.format(iter.taxableBase, '%.2d€')}}</p>
				</div>
				<div
					class="actions"
					on-click="$event.preventDefault()">
					<htk-button
						icon="delete"
						tip="_RemoveOrder"
						on-click="this.onRemoveOrderClick($iter)"/>
					<htk-button
						icon="shopping_bag"
						tip="_LoadOrderIntoCart"
						on-click="this.loadOrder(iter.id)"/>
				</div>
			</a>
		</custom>
	</htk-repeater>
</div>
</vn>
